DefaultPathwayFinder
Keywords: uk.ac.ic.doc.automed.reps.pathway.DefaultPathwayFinder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps.pathway
Class DefaultPathwayFinder

    java.lang.Object
      uk.ac.ic.doc.automed.reps.pathway.DefaultPathwayFinder

All Implemented Interfaces:
  PathwayFinder

    public class DefaultPathwayFinder

extends java.lang.Object
implements PathwayFinder

DefaultPathwayFinder.java Implement the default method for finding pathways

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 01 August 2006 Department of Computing, Imperial College

Constructor Summary
`DefaultPathwayFinder()` Creates a new instance of DefaultPathwayFinder

Method Summary
`java.util.List` | `findAllPaths(Schema source, Schema target)` Find all pathways
`Schema[]` | `findShortestPath(Schema source, Schema target)` Find optimal pathways
`void` | `setConfiguration(PathwayFinderConfiguration pfc)` Set configuration settings

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPathwayFinder

    public DefaultPathwayFinder()

  Creates a new instance of DefaultPathwayFinder

Method Detail

### setConfiguration

    public void setConfiguration(PathwayFinderConfiguration pfc)

  Set configuration settings

  Specified by:
    `setConfiguration` in interface `PathwayFinder`

### findShortestPath

    public Schema[] findShortestPath(Schema source,
                                     Schema target)

  Find optimal pathways

  Specified by:
    `findShortestPath` in interface `PathwayFinder`

### findAllPaths

    public java.util.List findAllPaths(Schema source,
                                       Schema target)

  Find all pathways

  Specified by:
    `findAllPaths` in interface `PathwayFinder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD